import { Bridge } from '../Bridge';
import { ThemeParams as SDKThemeParams, TwaThemeParams } from 'twa-theme-params';
/**
 * Contains information about currently used theme by application.
 */
export declare class ThemeParams extends SDKThemeParams {
    private bridge;
    constructor(bridge: Bridge, params: TwaThemeParams);
    /**
     * Requests and applies fresh theme params from native application.
     */
    sync: () => Promise<void>;
}
