import { BackButton, Bridge, HapticFeedback, InitData, MainButton, Popup, ThemeParams, Viewport, WebApp } from '../components';
interface InitResult {
    backButton: BackButton;
    bridge: Bridge;
    haptic: HapticFeedback;
    initData: InitData;
    mainButton: MainButton;
    popup: Popup;
    theme: ThemeParams;
    viewport: Viewport;
    webApp: WebApp;
}
/**
 * Main Telegram Web Apps function which initializes main system components.
 * After calling this function, usage of WebView and WebApp becomes allowed.
 *
 * @param debug - should debug mode be enabled.
 */
export declare function init(debug?: boolean): Promise<InitResult>;
export {};
