/**
 * Web App version in format like "\d+.\d+".
 */
export declare type Version = string;
/**
 * Web App color keys which could be used to change header or background color.
 */
export declare type SettableColorKey = 'bg_color' | 'secondary_bg_color';
/**
 * Color scheme.
 */
export declare type ColorScheme = 'dark' | 'light';
